module AnchorUi
  module Sprockets
    module Assets
      class Javascript < Base

        def update
          download url, destination_path
        end

        private

        def filename
          "#{asset_name}.min.js"
        end

        def map_filename
          "#{filename}.map"
        end

        def destination_path
          javascripts_path.join filename
        end

        def map_destination_path
          javascripts_path.join map_filename
        end

        def url
          "#{base_url}/#{filename}"
        end

        def map_url
          "#{base_url}/#{map_filename}"
        end

      end
    end
  end
end
