module AnchorUi
  module Sprockets
    class Updater

      attr_reader :name, :args

      def initialize(name, *args)
        @name = name
        @args = args
      end

      def execute
        if asset = Assets.find(name)
          asset.new(*args).update
          puts "#{name} updated"
        else
          raise AnchorUi::Core::Errors::AssetInvalid
        end
      end

    end
  end
end
