module AnchorUi
  module Sprockets
    class InstallGenerator < Rails::Generators::Base
      include(
        AnchorUi::Core::Generators::Concerns::Install,
        Paths
      )

      source_root File.expand_path('../templates', __FILE__)

      def copy_assets
        filename = 'application.js'
        copy_file filename, javascripts_path.join(filename)

        %w(application _variables _coreui).each do |name|
          filename = "#{name}.scss"
          copy_file filename, stylesheets_path.join(filename)
        end
      end

      def delete_application_css
        remove_file 'app/assets/stylesheets/application.css'
      end

      def override_layout
        generate_layout 'include', 'link', 'application'
      end

      private

      def assets_path
        Pathname.new 'app/assets'
      end

    end
  end
end
